org.icefaces.ace.component.chart

## Enum Location

- java.lang.Object
- - java.lang.Enum<Location>
  - - org.icefaces.ace.component.chart.Location

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Location>

      public enum Location
      extends java.lang.Enum<Location>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `E`
    `N`
    `NE`
    `NW`
    `S`
    `SE`
    `SW`
    `W`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static Location` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Location[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NW

          public static final Location NW

    - #### N

          public static final Location N

    - #### NE

          public static final Location NE

    - #### E

          public static final Location E

    - #### SE

          public static final Location SE

    - #### S

          public static final Location S

    - #### SW

          public static final Location SW

    - #### W

          public static final Location W

  - ### Method Detail

    - #### values

          public static Location[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Location c : Location.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Location valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<Location>`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.